Bug 155537 - Update deskutils/xneur to 0.12.0
Summary: Update deskutils/xneur to 0.12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-13 17:30 UTC by admin
Modified: 2011-04-04 09:30 UTC (History)
0 users

See Also:


Attachments
file.diff (6.42 KB, patch)
2011-03-13 17:30 UTC, admin
no flags Details | Diff
patch-xneur.txt (10.19 KB, patch)
2011-03-17 13:09 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description admin 2011-03-13 17:30:12 UTC
update port deskutils/xneur to version 0.12.0

Fix: see patch

Patch attached with submission follows:
Comment 1 Ganael LAPLANCHE freebsd_committer 2011-03-15 08:08:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

I will take care of it.
Comment 2 Ganael LAPLANCHE freebsd_committer 2011-03-17 13:09:32 UTC
Hi Alex,

Thank you very much for your contribution.

I have reworked several things in the port. Please tell me if the attached 
patch would be OK for you. It includes your patch (the update to 0.12.0), as 
well as the following :

- Switched PCRE option to a LIB_DEPENDS
  (it cannot be disabled anymore in configure)
- Handle CPPFLAGS the way LDFLAGS are
- Fix or improve several OPTIONS handling and dependencies
- Remove apparently useless CFLAGS patch
- Handle sample configuration file as advised in the handbook
  (and renamed .dist extension to a more common .sample one)

Best regards,

-- 
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 dfilter freebsd_committer 2011-04-04 09:26:47 UTC
martymac    2011-04-04 08:26:33 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/xneur      Makefile distinfo pkg-plist 
  Added files:
    deskutils/xneur/files patch-configure patch-etc-Makefile.in 
  Log:
  - Update to 0.12.0
  - Convert PCRE option to a mandatory LIB_DEPENDS
  - Fix or improve several OPTIONS handling and dependencies
  - Remove useless CFLAGS patch
  - Handle sample configuration file as advised in the handbook
  
  PR:     155537
  Submitted by:   Alex Keda <admin@lissyara.su> (maintainer)
  Approved by:    maintainer timeout (18 days)
  
  Revision  Changes    Path
  1.17      +16 -20    ports/deskutils/xneur/Makefile
  1.9       +2 -2      ports/deskutils/xneur/distinfo
  1.1       +11 -0     ports/deskutils/xneur/files/patch-configure (new)
  1.1       +11 -0     ports/deskutils/xneur/files/patch-etc-Makefile.in (new)
  1.8       +27 -46    ports/deskutils/xneur/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ganael LAPLANCHE freebsd_committer 2011-04-04 09:27:25 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!